Subject: RE: [lojban] Chomskyan universals and Lojban

From: "And Rosta" <[email-masked]>
Date: Thu, 16 Aug 2001 21:52:17 +0100

Jay:
> On Wed, 15 Aug 2001, And Rosta wrote:
> 
> > > > * the syntactic structure assigned by the yacc grammar
> > > > * terminators
> > >
> > > Many natural languages can be approximated by unambiguous context-free
> > > grammars. Even more languages can be handled by ambiguous ones. So a
> > > LALR(1) grammar doesn't seem strange, just unlikely to occur naturally.
> >
> > I'm not sure how your remarks pertain to mine, but at any rate, what
> > I meant is:
> 
> Yacc uses LALR(1) grammars. So, where I said LALR(1), you can pretend I
> said Yacc. (Or just realize Yacc is a piece of software which generates
> parsers based on LALR(1) grammars, and what we're really interested is the
> grammar, and not the parser generator)

I don't know enough to say whether a LALR(1) grammar could have the
form of a naturalistic endocentric grammar [see below].
 
> > * In natlang syntax, all phrases have lexical heads; so a natlang
> > grammar of Lojban would make every phrase an X Phrase, where X is
> > a selmaho.
> 
> Huh?

Natlang syntax conforms to the principle that every phrase is a projection
of a word it dominates (= contains) -- this word is the head. 
(= 'Endocentricity'.) A phrase that is a projection of a noun -- i.e. a
phrase headed by a noun -- is a Noun Phrase. 

There is no such requirement in the formalism used for the formal Lojban 
grammar, which is formally much less restrictive than endocentric grammars.

> > * Natlang syntax doesn't have terminators (AFAIK)
> 
> They'd probably be significantly less ambiguous if they did.

Of course. Nobody's saying unnatural is bad. 
 
> > > > * MEX
> > >
> > > I wouldn't be surprised if something similar evolved in languages if
> > > talking about math were a significantly more important part of the lives
> > > of all speakers.
> >
> > Right. But that's not how things are in actuality.
> 
> Well, my point was that you can't say whether or not it is really
> unnatural or disallowed universally, as it isn't a feature natural
> languages have needed to evolve (yet).

I think you miss the point: typological universals pertain to how languages
actually are, which includes how they have ways talk about things we
often want to talk about.

> (I'm feeling some sort of weird deja vu at this point... I could swear
> this has come up before.)

Not as I recall, unless it came up in a period when I didn't have time to
read the list properly.
 
> > > > * semantically arbitrary place structures
> > >
> > > They don't seem to be arbitrary to me (at least not the order). Seemsas
> > > though they're all the most frequently used things which might be related
> > > to each other.
> >
> > What I mean is that you can't generalize about the semantics of, say,
> > x2s across predicates, and, in principle, you can't predict which
> > semantic argument is mapped to x1 and which to x2.
> 
> Er. How is _that_ relevent to natural languages? They don't have clearly
> delimited places, and you certainly can't generalize about the information
> related to or provided by the verb florgendorf which I just created, let
> alone go, eat, shower, etc.

If you tell me the meaning of _florgendorf_ and its valency (i.e. its
transitivity type) then I can predict with an extremely high degree of
accuracy which semantic argument is expressed by which syntactic
argument. 

It is also possible to generalize about the semantics of particular sorts
of syntactic arguments, independently of the predicate. For example, there
are particular obvious generalizations to be made about indirect objects
in English.

> > > > * SE
> > >
> > > Sort of unfair to list it as its own thing, as its merely a side effect of
> > > the place structure.
> >
> > The selmaho SE, both because it swaps x1 and x2/3/4/5/... and because it's
> > recursive.
> 
> I'm aware of selma'o SE.
> 
> And whats recursive about SE cmavo? (I'm familiar with recursion in all of
> its forms as a programming technique, and none of them are even remotely
> relevent.)

SE + X creates a reording of the sumti of X, and SE + X can in turn function
as an X to another SE. For example, te broda yields 32145 and then se te broda
will yield 23145.

It may be helpful to know that whereas in programming, 'recursion' and
'iteration' are kinds of *procedures*, in linguistics 'recursion' is
a declarative/representational property whereby the rule defining things
of type X itself involves things of type X (e.g. X -> X Y). I can't
reconstruct the reasoning, but I have been told, and had it demonstrated
to me, that representational recursion can always be implemented by
nonrecursive procedures. 
 
> > > > * SI/SA/SU
> > >
> > > Hey. Natural languages have ways to indicate that you just made a mistake.
> > > They're not as explicit in the amount of mistake you made, but they're
> > > there.
> >
> > But, as you say, they're less explicit. Because speakers can't remember
> > which words they've just said.
> 
> I strongly suspect that if you identified the techniques used, and
> compared where the speaker went back to, you'd find a correlation.

Not in terms of raw numbers of words. The 'deletion' would be based
on syntax or semantics or prosody. Furthermore, it is very unlikely 
to be grammaticized, I opine.

> In fact, I know there is evidence that people tend to return to phrase
> boundries. I'd even dig up a reference, except I sold back that textbook.

Continuations after false starts are conditioned by syntactic and/or
prosodic factors. That does not mean that any natural language grammars
contain words that function like SI/SA/SU.

> > I don't think it will, but it would become a different language if
> > it became a natlang. I suppose that if unnatural features survived
> > unchanged into a lojban creole, then there would be some very
> > significant conclusions to be drawn.
> 
> Well, we'll see what happens when some Lojbanists has kids. :)
> 
> Bets, anyone? :)

We have discussed this before, and the prevailing view was that it would
be unethical (or worse) to teach kids Lojban natively. I myself don't
want to get into that argument, though.

--And.